//BLD2LOC  JOB CLASS=A,MSGCLASS=A
//*
//* Delete the datasets allocated below for ease of restart
//*
//DELETE   EXEC PGM=IEHPROGM
//SYSPRINT  DD SYSOUT=*
//LOCAL     DD UNIT=3350,VOL=SER=LOC509,DISP=SHR
//SYSIN     DD *
  SCRATCH DSNAME=SYS2.LOCAL.HELP,VOL=3350=LOC509
  SCRATCH DSNAME=SYS2.LOCAL.LINKLIB,VOL=3350=LOC509
  SCRATCH DSNAME=SYS2.LOCAL.CMDLIB,VOL=3350=LOC509
  SCRATCH DSNAME=SYS2.LOCAL.SVCLIB,VOL=3350=LOC509
//*
//* Create the "LOCAL" libraries (but don't catalog on running system).
//*
//* They are not named with the sysres name so as to minimize
//* the impact on the user community (i.e., TSO users, etc.)
//* as we migrate from one sysres to another.
//*
//IEBCOPY  EXEC PGM=IEBCOPY 
//SYSPRINT  DD SYSOUT=*
//IHELP     DD DSN=SYS2.LOCAL.HELP,DISP=SHR
//ILINK     DD DSN=SYS2.LOCAL.LINKLIB,DISP=SHR
//ICMD      DD DSN=SYS2.LOCAL.CMDLIB,DISP=SHR
//ISVC      DD DSN=SYS2.LOCAL.SVCLIB,DISP=SHR
//OHELP     DD DSN=SYS2.LOCAL.HELP,
//             UNIT=3350,VOL=SER=LOC509,
//             SPACE=(CYL,(5,1,10)),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120),
//             DISP=(,KEEP)
//OLINK     DD DSN=SYS2.LOCAL.LINKLIB,
//             UNIT=3350,VOL=SER=LOC509,
//             SPACE=(CYL,(20,0,10)),
//             DCB=(RECFM=U,BLKSIZE=19069),
//             DISP=(,KEEP)
//OCMD      DD DSN=SYS2.LOCAL.CMDLIB,
//             UNIT=3350,VOL=SER=LOC509,
//             SPACE=(CYL,(10,0,20)),
//             DCB=(RECFM=U,BLKSIZE=19069),
//             DISP=(,KEEP)
//OSVC      DD DSN=SYS2.LOCAL.SVCLIB,
//             UNIT=3350,VOL=SER=LOC509,
//             SPACE=(CYL,(2,0,10)),
//             DCB=(RECFM=U,BLKSIZE=19069),
//             DISP=(,KEEP)
//SYSUT1    DD UNIT=SYSDA,SPACE=(CYL,(5,10))
//SYSUT2    DD UNIT=SYSDA,SPACE=(CYL,(5,10))
//SYSIN     DD *
  COPY INDD=IHELP,OUTDD=OHELP
  COPY INDD=ILINK,OUTDD=OLINK
  COPY INDD=ICMD,OUTDD=OCMD
  COPY INDD=ISVC,OUTDD=OSVC
//*
//* Catalog the newly created datasets in new mastcat
//*
//TARGCAT  EXEC PGM=IEHPROGM
//STEPCAT   DD DSN=SYS1.JMASTCAT,DISP=SHR
//SYSPRINT  DD SYSOUT=*
//LOCAL     DD UNIT=3350,VOL=SER=LOC509,DISP=SHR
//SYSIN     DD *
  UNCATLG DSNAME=SYS2.LOCAL.CMDLIB
  UNCATLG DSNAME=SYS2.LOCAL.HELP
  UNCATLG DSNAME=SYS2.LOCAL.LINKLIB
  UNCATLG DSNAME=SYS2.LOCAL.SVCLIB
  CATLG DSNAME=SYS2.LOCAL.CMDLIB,VOL=3350=LOC509
  CATLG DSNAME=SYS2.LOCAL.HELP,VOL=3350=LOC509
  CATLG DSNAME=SYS2.LOCAL.LINKLIB,VOL=3350=LOC509
  CATLG DSNAME=SYS2.LOCAL.SVCLIB,VOL=3350=LOC509
//

