//BLDSYS1  JOB PREGEN,CLASS=A,MSGLEVEL=(1,1)
//*--------------------------------------------------------------------
//* Define target system's master catalog
//*--------------------------------------------------------------------
//DEFCAT   EXEC PGM=IDCAMS
//SYSPRINT DD  SYSOUT=*
//SYSRES   DD  UNIT=3350,VOL=SER=MVS509,DISP=SHR
//SYSIN    DD  *
  /* disconnect SYS1.JMASTCAT in case this is a re-run */
         EXPORT -
         SYS1.JMASTCAT -
         DISCONNECT;
  SET MAXCC = 0
  DEFINE USERCATALOG (                 -
               NAME(SYS1.JMASTCAT)     -
               FILE(SYSRES)            -
               VOLUME(MVS509)          -
               CYLINDERS(5)            -
               BUFFERSPACE(8192)       -
               NOTRECOVERABLE)
//*--------------------------------------------------------------------
//* Catalog MVSDLB datasets in target master cat
//*--------------------------------------------------------------------
//CATDLB   EXEC PGM=IEHPROGM
//STEPCAT   DD DSN=SYS1.JMASTCAT,DISP=SHR
//SYSPRINT  DD SYSOUT=*                                                          
//MVSDLB    DD UNIT=3350,VOL=SER=MVSDLB,DISP=SHR 
 CATLG DSNAME=SYS1.SMPACRQ,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.SMPMTS,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.SMPPTS,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.SMPSTS,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.SMPACDS,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS00,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS03,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS04,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS05,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS06,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS11,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS12,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSB0,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSB3,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSCA,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSCD,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSCE,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSC2,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSC5,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSC6,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSD0,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSD7,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSD8,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSU0,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.APARMLIB,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.APROCLIB,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AIMAGE,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.ASAMPLIB,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.ALPALIB,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AGENLIB,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AMACLIB,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AMODGEN,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS07,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS20,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS21,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSG0,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOST3,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOST4,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.ACMDLIB,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AHELP,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.ATCAMMAC,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.ATSOMAC,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AUADS,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSA0,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSA1,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSH1,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSH3,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.HASPSRC,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS24,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS26,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS29,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOS32,VOL=3350=MVSDLB
 CATLG DSNAME=SYS1.AOSBN,VOL=3350=MVSDLB
//*--------------------------------------------------------------------
//* Allocate MVS509 target libraries
//*--------------------------------------------------------------------
//ALLOC   EXEC PGM=IEFBR14
//STEPCAT  DD  DSN=SYS1.JMASTCAT,DISP=SHR
//BRODCAST DD  DSN=SYS1.BRODCAST,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(1)),
//             DCB=(LRECL=129,RECFM=F,BLKSIZE=129,DSORG=PS)
//CMDLIB   DD  DSN=SYS1.CMDLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(4,1,71)),
//             DCB=(LRECL=0,RECFM=U,BLKSIZE=19069)
//DCMLIB   DD  DSN=SYS1.DCMLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(1,1,35)),
//             DCB=(LRECL=0,RECFM=U,BLKSIZE=19069)
//DUMP00   DD  DSN=SYS1.DUMP00,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(10))
//HELP     DD  DSN=SYS1.HELP,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(3,1,71)),
//             DCB=(LRECL=80,RECFM=FB,BLKSIZE=3120)
//IMAGELIB DD  DSN=SYS1.IMAGELIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(1,1,35)),
//             DCB=(LRECL=0,RECFM=U,BLKSIZE=1024)
//LINKLIB   DD DSN=SYS1.LINKLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(20,1,323)),
//             DCB=(LRECL=0,RECFM=U,BLKSIZE=19069)
//LPALIB   DD  DSN=SYS1.LPALIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(15,1,359)),
//             DCB=(LRECL=0,RECFM=U,BLKSIZE=19069)
//MACLIB   DD  DSN=SYS1.MACLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(25,1,120)),
//             DCB=(LRECL=80,RECFM=FB,BLKSIZE=3120)
//MANX      DD DSN=SYS1.MANX,
//             UNIT=3350,VOL=SER=MVS509,
//             SPACE=(CYL,(6,0),,CONTIG),
//             DISP=(,CATLG) 
//MANY      DD DSN=SYS1.MANY,
//             UNIT=3350,VOL=SER=MVS509,
//             SPACE=(CYL,(6,0),,CONTIG),
//             DISP=(,CATLG)        
//NUCLEUS  DD  DSN=SYS1.NUCLEUS,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(10,,15)),
//             DCB=(LRECL=0,RECFM=U,BLKSIZE=19069)
//PARMLIB  DD  DSN=SYS1.PARMLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(5,,35)),
//             DCB=(LRECL=80,RECFM=F,BLKSIZE=80)
//PROCLIB  DD  DSN=SYS1.PROCLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(5,,71)),
//             DCB=(LRECL=80,RECFM=FB,BLKSIZE=3120)
//SAMPLIB  DD  DSN=SYS1.SAMPLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(4,1,35)),
//             DCB=(LRECL=80,RECFM=FB,BLKSIZE=3120)
//SVCLIB   DD  DSN=SYS1.SVCLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(5,1,35)),
//             DCB=(LRECL=0,RECFM=U,BLKSIZE=19069)
//TRACE    DD  DSN=SYS1.TRACE,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(2)),
//             DCB=(LRECL=4096,RECFM=VBA,BLKSIZE=133)
//TELCMLIB DD  DSN=SYS1.TELCMLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(2,1,72)),
//             DCB=(LRECL=0,RECFM=U,BLKSIZE=19069)
//UADS     DD  DSN=SYS1.UADS,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(2,1,35)),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=19040)
//VTAMLIB  DD  DSN=SYS1.VTAMLIB,
//             UNIT=3350,VOL=SER=MVS509,DISP=(,CATLG),
//             SPACE=(CYL,(2,1,35)),
//             DCB=(LRECL=0,RECFM=U,BLKSIZE=19069)
//*--------------------------------------------------------------------
//* Create SYS1.NUCLEUS(SYSCATLG) so Stage2 SYSGEN6.STEPZ1 works ok
//*--------------------------------------------------------------------
//FAKCATLG EXEC PGM=IEBCOPY
//SYSPRINT  DD SYSOUT=*
//IN        DD DSN=SYS1.NUCLEUS,DISP=SHR
//OUT       DD DSN=SYS1.NUCLEUS,DISP=SHR,
//             UNIT=3350,VOL=SER=MVS509
//SYSUT1    DD UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSUT2    DD UNIT=SYSDA,SPACE=(CYL,(1,1))
//SYSIN     DD *
  COPY INDD=IN,OUTDD=OUT
  SELECT MEMBER=SYSCATLG
//*--------------------------------------------------------------------
//* Define space for SYS1.STGINDEX
//*--------------------------------------------------------------------
//DEFSPACE EXEC PGM=IDCAMS,COND=(0,NE,DEFCAT)
//STEPCAT  DD  DSN=SYS1.JMASTCAT,DISP=SHR
//SYSRES   DD  UNIT=3350,VOL=SER=MVS509,DISP=SHR
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
  DEFINE SPACE (                       -
               VOLUME(MVS509)          -
               FILE(SYSRES)            -
               CYLINDERS(31))          -
         CATALOG(SYS1.JMASTCAT)
//*--------------------------------------------------------------------
//* Define SYS1.STGINDEX and paging
//*--------------------------------------------------------------------
//DEFOBJS  EXEC PGM=IDCAMS,COND=(0,NE,DEFSPACE)
//STEPCAT  DD  DSN=SYS1.JMASTCAT,DISP=SHR
//SYSRES   DD  UNIT=3350,VOL=SER=MVS509,DISP=SHR
//PAGE01   DD  UNIT=3330,VOL=SER=PAGJ01,DISP=SHR
//PAGE02   DD  UNIT=3330,VOL=SER=PAGJ02,DISP=SHR
//PAGE03   DD  UNIT=3330,VOL=SER=PAGJ03,DISP=SHR
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
  DEFINE CLUSTER (                     -
               NAME(SYS1.STGINDEX)     -
               VOLUME(MVS509)          -
               FILE(SYSRES)            -
               BUFFERSPACE(5120)       -
               CYLINDERS(30)           -
               KEYS(12 8)              -
               RECORDSIZE(2041 2041)   -
               SUBALLOCATION           -
               REUSE)                  -
         DATA  (                       -
               CONTROLINTERVALSIZE(2048))  -
         INDEX (                       -
               CONTROLINTERVALSIZE(1024))  -
         CATALOG(SYS1.JMASTCAT)

  DEFINE PAGESPACE (                   -
               NAME(SYS1.PAGJ01)       -
               VOLUME(PAGJ01)          -
               FILE(PAGE01)            -
               CYLINDERS(400)          -
               NOSWAP                  -
               UNIQUE)                 -
         CATALOG(SYS1.JMASTCAT)

  DEFINE PAGESPACE (                   -
               NAME(SYS1.PAGJ02)       -
               VOLUME(PAGJ02)          -
               FILE(PAGE02)            -
               CYLINDERS(400)          -
               NOSWAP                  -
               UNIQUE)                 -
         CATALOG(SYS1.JMASTCAT)

  DEFINE PAGESPACE (                   -
               NAME(SYS1.PAGJ03)       -
               VOLUME(PAGJ03)          -
               FILE(PAGE03)            -
               CYLINDERS(400)          -
               NOSWAP                  -
               UNIQUE)                 -
         CATALOG(SYS1.JMASTCAT)
//*--------------------------------------------------------------------
//* Set up some initial MVS509 SYS1.PARMLIB members
//*--------------------------------------------------------------------
//PARMLIB  EXEC PGM=IEBUPDTE,PARM=NEW 
//STEPCAT   DD DSN=SYS1.JMASTCAT,DISP=SHR
//SYSPRINT  DD SYSOUT=* 
//SYSUT2    DD DSN=SYS1.PARMLIB,DISP=SHR
//SYSIN    DD  * 
./ ADD NAME=IEASYS01
APF=00,
BLDLF=00,
CSA=3072,
HARDCPY=(SYSLOG,ALL,CMDS),
LNK=(00,01),
PAGE=(SYS1.PAGJ01,                                                     
      SYS1.PAGJ02,                                            
      SYS1.PAGJ03,L)
PAGNUM=(1,1),
REAL=128,
SQA=5,
VRREGN=64
./ ADD NAME=LNKLST01
SYS1.CMDLIB,
SYS2.LOCAL.CMDLIB,
SYS2.LOCAL.LINKLIB
./ ADD NAME=VATLST00
STOR01,1,0,3330
WORK01,1,1,3330              volser,mount,use,devtype
WORK02,1,1,3330              mount: 0=perm resident 1=reserved
WORK03,1,1,3330              use:   0=stor 1=pub 2=private 
SPOOL0,0,2,3330
SPOOL1,0,2,3330
PAGJ01,1,2,3330
PAGJ02,1,2,3330
PAGJ03,1,2,3330
MVSDLB,0,2,3350
MVS508,0,2,3350
MVS509,0,2,3350
LOC508,0,2,3350
LOC509,0,2,3350
MVS709,0,2,3375
MVS809,0,2,3380
MVS909,0,2,3390
//



