//STAGE1   JOB CLASS=A,MSGCLASS=A,MSGLEVEL=(1,1)
//*
//* REQUIRES RDRPREP BE RUN BEFORE SUBMISSION
//*
//* Delete SYS1.OBJPDS0n and uncatalog them in case this is a re-run.
//* Ignore the return code from the DELOBJ step.  While we're at it, 
//* delete any temporary datasets on the work volumes
//* Note OBJPDS datasets now allocated on LOC5xx
//* 
//DELOBJ   EXEC PGM=IEHPROGM
//STEPCAT   DD DSN=SYS1.JMASTCAT,DISP=SHR
//SYSPRINT  DD SYSOUT=*
//WORK01    DD UNIT=3330,VOL=SER=WORK01,DISP=SHR
//WORK02    DD UNIT=3330,VOL=SER=WORK02,DISP=SHR
//WORK03    DD UNIT=3330,VOL=SER=WORK03,DISP=SHR
//LOCAL     DD UNIT=3350,VOL=SER=LOC509,DISP=SHR
//SYSIN     DD *
 SCRATCH DSNAME=SYS1.OBJPDS01,VOL=3330=WORK01
 SCRATCH DSNAME=SYS1.OBJPDS02,VOL=3330=WORK02
 SCRATCH DSNAME=SYS1.OBJPDS03,VOL=3330=WORK03
 SCRATCH DSNAME=SYS1.OBJPDS01,VOL=3350=LOC509
 SCRATCH DSNAME=SYS1.OBJPDS02,VOL=3350=LOC509
 SCRATCH DSNAME=SYS1.OBJPDS03,VOL=3350=LOC509
 UNCATLG DSNAME=SYS1.OBJPDS01
 UNCATLG DSNAME=SYS1.OBJPDS02
 UNCATLG DSNAME=SYS1.OBJPDS03
 SCRATCH VTOC,VOL=3330=WORK01,SYS
 SCRATCH VTOC,VOL=3330=WORK02,SYS
 SCRATCH VTOC,VOL=3330=WORK03,SYS
 SCRATCH VTOC,VOL=3350=LOC509,SYS
//*
//* Allocate & catalog SYS1.OBJPDS0n in target mastercat
//*
//ALLOC    EXEC PGM=IEFBR14
//STEPCAT   DD DSN=SYS1.JMASTCAT,DISP=SHR
//OBJPDS01  DD DSN=SYS1.OBJPDS01,DISP=(,CATLG),
//             UNIT=3350,VOL=SER=LOC509,
//             SPACE=(CYL,(20,10,50)),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120)
//OBJPDS02  DD DSN=SYS1.OBJPDS02,DISP=(,CATLG),
//             UNIT=3350,VOL=SER=LOC509,
//             SPACE=(CYL,(20,10,50)),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120)
//OBJPDS03  DD DSN=SYS1.OBJPDS03,DISP=(,CATLG),
//             UNIT=3350,VOL=SER=LOC509,
//             SPACE=(CYL,(20,10,50)),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=3120)
//* 
//* CATALOG SYS1.OBJPDS0n datasets on running system so stage2 runs
//* You can ignore any bad return codes from the UNCATLGs
//* 
//CATOBJ   EXEC PGM=IEHPROGM
//SYSPRINT  DD SYSOUT=*
//LOCAL     DD UNIT=3350,VOL=SER=LOC509,DISP=SHR
//SYSIN     DD *
  UNCATLG DSNAME=SYS1.OBJPDS01
  UNCATLG DSNAME=SYS1.OBJPDS02
  UNCATLG DSNAME=SYS1.OBJPDS03
  CATLG DSNAME=SYS1.OBJPDS01,VOL=3350=LOC509
  CATLG DSNAME=SYS1.OBJPDS02,VOL=3350=LOC509
  CATLG DSNAME=SYS1.OBJPDS03,VOL=3350=LOC509
//* 
//* Delete and uncatalog our Stage1 output dataset.
//* SYS2.MVS509.STAGE2 can be used to hold STAGE2 if you prefer
//* having the STAGE2 deck in a dataset rather than on the punch.
//*
//DELSTG2  EXEC PGM=IEHPROGM
//SYSPRINT  DD SYSOUT=*
//LOCAL     DD UNIT=3350,VOL=SER=LOC509,DISP=SHR
//SYSIN     DD *
 SCRATCH DSNAME=SYS2.MVS509.STAGE2,VOL=3350=LOC509
 UNCATLG DSNAME=SYS2.MVS509.STAGE2
//*
//* STAGE1 assembly; SYSPUNCH contains STAGE2 deck
//*
//ASMBLR   EXEC PGM=IFOX00,
//             PARM='LIST,NOLOAD,DECK,NOXREF',REGION=6144K
//SYSPRINT  DD SYSOUT=*
//SYSLIB    DD DSN=SYS1.AMODGEN,DISP=SHR,DCB=BLKSIZE=19040
//          DD DSN=SYS1.AGENLIB,DISP=SHR
//SYSPUNCH  DD DDNAME=DISK or PUNCH            <-- pick one
//PUNCH     DD SYSOUT=B
//DISK      DD DSN=SYS2.MVS509.STAGE2,
//             UNIT=3350,VOL=SER=LOC509,
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=19040),
//             SPACE=(CYL,(10,5),RLSE),
//             DISP=(,CATLG,CATLG)
//SYSUT1    DD UNIT=SYSDA,SPACE=(CYL,(35,10)),VOL=SER=WORK01
//SYSUT2    DD UNIT=SYSDA,SPACE=(CYL,(35,10)),VOL=SER=WORK02
//SYSUT3    DD UNIT=SYSDA,SPACE=(CYL,(50,10)),VOL=SER=WORK03
//SYSIN     DD *
::a ../asm/stage1.asm
//


